Index: /utils/tools/NESTING/namelist_nordic1
===================================================================
--- /utils/tools/NESTING/namelist_nordic1	(revision 10092)
+++ /utils/tools/NESTING/namelist_nordic1	(revision 10093)
@@ -5,5 +5,5 @@
 &coarse_grid_files    
     parent_coordinate_file = 'coordinates.nc'
-    parent_meshmask_file   = 'meshmask.nc'  
+    parent_bathy_file      = 'meshmask.nc'  
     parent_domcfg_output   = 'domain_cfg.nc'
 /    
Index: /utils/tools/NESTING/namelist_nordic1_update
===================================================================
--- /utils/tools/NESTING/namelist_nordic1_update	(revision 10092)
+++ /utils/tools/NESTING/namelist_nordic1_update	(revision 10093)
@@ -5,5 +5,5 @@
 &coarse_grid_files    
     parent_coordinate_file = 'coordinates.nc'
-    parent_meshmask_file   = 'meshmask.nc'  
+    parent_bathy_file      = 'meshmask.nc'  
     parent_domcfg_output   = 'domain_cfg.nc'
 /    
Index: /utils/tools/NESTING/namelist_nordic2
===================================================================
--- /utils/tools/NESTING/namelist_nordic2	(revision 10092)
+++ /utils/tools/NESTING/namelist_nordic2	(revision 10093)
@@ -5,5 +5,5 @@
 &coarse_grid_files    
     parent_coordinate_file = '1_coordinates.nc'
-    parent_meshmask_file   = '1_meshmask.nc'
+    parent_bathy_file      = '1_meshmask.nc'
     parent_domcfg_output   = '1_domain_cfg.nc'
 /    
Index: /utils/tools/NESTING/src/agrif_create_bathy.f90
===================================================================
--- /utils/tools/NESTING/src/agrif_create_bathy.f90	(revision 10092)
+++ /utils/tools/NESTING/src/agrif_create_bathy.f90	(revision 10093)
@@ -72,6 +72,6 @@
   ! define names of child grid files
   CALL set_child_name(parent_coordinate_file,Child_coordinates) 
-  IF( TRIM(parent_meshmask_file) .NE. '/NULL' )    CALL set_child_name(parent_meshmask_file,Childlevel_file)            
-  IF( TRIM(parent_meshmask_file) .NE. '/NULL' )    CALL set_child_name(parent_domcfg_output,Child_domcfg) 
+  IF( TRIM(parent_bathy_file) .NE. '/NULL' )    CALL set_child_name(parent_bathy_file,Childlevel_file)            
+  IF( TRIM(parent_bathy_file) .NE. '/NULL' )    CALL set_child_name(parent_domcfg_output,Child_domcfg) 
   !
   !                                                   ! ------------------------------------------------------------------
@@ -83,5 +83,5 @@
      ! read coarse grid bathymetry and coordinates
      status = Read_Coordinates(TRIM(parent_coordinate_file),G0)    
-     status = Read_bathy_level(TRIM(parent_meshmask_file),G0)
+     status = Read_bathy_level(TRIM(parent_bathy_file),G0)
      !           
      ! read fine grid coordinates
@@ -411,5 +411,5 @@
         status = Read_Bathymeter(TRIM(parent_bathy_meter),G0)
      ELSE
-        status = Read_Bathymeter(TRIM(parent_meshmask_file),G0)
+        status = Read_Bathymeter(TRIM(parent_bathy_file),G0)
      ENDIF
      
@@ -605,6 +605,6 @@
         ! store interpolation result in output file
         CALL levels_to_meter(G1)   ! From levels to meters
-        IF( TRIM(parent_meshmask_file) .NE. '/NULL' )    status = Write_Bathy_level(TRIM(Childlevel_file),G1)
-        IF( TRIM(parent_meshmask_file) .NE. '/NULL' )    status = write_domcfg(TRIM(Child_domcfg),G1)
+        IF( TRIM(parent_bathy_file) .NE. '/NULL' )    status = Write_Bathy_level(TRIM(Childlevel_file),G1)
+        IF( TRIM(parent_bathy_file) .NE. '/NULL' )    status = write_domcfg(TRIM(Child_domcfg),G1)
         !
         WRITE(*,*) '****** Bathymetry successfully created for partial cells ******'
Index: /utils/tools/NESTING/src/agrif_create_restart.f90
===================================================================
--- /utils/tools/NESTING/src/agrif_create_restart.f90	(revision 10092)
+++ /utils/tools/NESTING/src/agrif_create_restart.f90	(revision 10093)
@@ -113,5 +113,5 @@
   !       
   CALL set_child_name(parent_coordinate_file,Childcoordinates)   
-  CALL set_child_name(parent_meshmask_file,Childbathy) 
+  CALL set_child_name(parent_bathy_file,Childbathy) 
   CALL set_child_name(parent_bathy_meter,Childbathymeter)   
   !
@@ -165,5 +165,5 @@
   ENDIF
   !
-  CALL Init_mask(parent_meshmask_file,G0,x,y)
+  CALL Init_mask(parent_bathy_file,G0,x,y)
   CALL Init_mask(childbathy,G1,1,1)
 
Index: /utils/tools/NESTING/src/agrif_create_restart_trc.f90
===================================================================
--- /utils/tools/NESTING/src/agrif_create_restart_trc.f90	(revision 10092)
+++ /utils/tools/NESTING/src/agrif_create_restart_trc.f90	(revision 10093)
@@ -100,5 +100,5 @@
   !       
   CALL set_child_name(parent_coordinate_file,Childcoordinates)   
-  CALL set_child_name(parent_meshmask_file,Childbathy) 
+  CALL set_child_name(parent_bathy_file,Childbathy) 
   CALL set_child_name(parent_bathy_meter,Childbathymeter)   
   !
@@ -142,5 +142,5 @@
   ENDIF
   !
-  CALL Init_tmask(parent_meshmask_file,G0,x,y)
+  CALL Init_tmask(parent_bathy_file,G0,x,y)
   CALL Init_tmask(childbathy,G1,nxfin,nyfin)
   
Index: /utils/tools/NESTING/src/agrif_interpolation.f90
===================================================================
--- /utils/tools/NESTING/src/agrif_interpolation.f90	(revision 10092)
+++ /utils/tools/NESTING/src/agrif_interpolation.f90	(revision 10093)
@@ -560,5 +560,5 @@
     CALL set_child_name(filename,Child_file) 
     CALL set_child_name(parent_coordinate_file,Childcoordinates)
-    CALL set_child_name(parent_meshmask_file,childbathy)
+    CALL set_child_name(parent_bathy_file,childbathy)
     WRITE(*,*) 'Child grid file name = ',TRIM(Child_file)
     !
@@ -602,5 +602,5 @@
        ALLOCATE(mask(numlon,numlat,N))
        CALL Init_mask(childbathy,G1,1,1)
-       CALL Init_mask(parent_meshmask_file,G0,1,1)
+       CALL Init_mask(parent_bathy_file,G0,1,1)
        !
     ENDIF
Index: /utils/tools/NESTING/src/agrif_readwrite.f90
===================================================================
--- /utils/tools/NESTING/src/agrif_readwrite.f90	(revision 10092)
+++ /utils/tools/NESTING/src/agrif_readwrite.f90	(revision 10093)
@@ -243,10 +243,10 @@
     CALL write_ncdf_var('mbathy' ,dimnames,name,Grid%bathy_level,'float')
     !
-    CALL copy_ncdf_att('nav_lon',TRIM(parent_meshmask_file),name,MINVAL(Grid%nav_lon),MAXVAL(Grid%nav_lon))
-    CALL copy_ncdf_att('nav_lat',TRIM(parent_meshmask_file),name,MINVAL(Grid%nav_lat),MAXVAL(Grid%nav_lat))
-    CALL copy_ncdf_att('mbathy' ,TRIM(parent_meshmask_file),name)       
+    CALL copy_ncdf_att('nav_lon',TRIM(parent_bathy_file),name,MINVAL(Grid%nav_lon),MAXVAL(Grid%nav_lon))
+    CALL copy_ncdf_att('nav_lat',TRIM(parent_bathy_file),name,MINVAL(Grid%nav_lat),MAXVAL(Grid%nav_lat))
+    CALL copy_ncdf_att('mbathy' ,TRIM(parent_bathy_file),name)       
     !
     WRITE(*,*) ' '
-    WRITE(*,*) 'Writing bathymetry file: ',name
+    WRITE(*,*) 'Writing bathymetry (levels) in: ',name
     WRITE(*,*) ' '
     !
@@ -473,5 +473,5 @@
     !
     WRITE(*,*) ' '
-    WRITE(*,*) 'Writing bathymetry file: ',name
+    WRITE(*,*) 'Writing bathymetry (meters) in: ',name
     WRITE(*,*) ' '
     !
Index: /utils/tools/NESTING/src/agrif_types.f90
===================================================================
--- /utils/tools/NESTING/src/agrif_types.f90	(revision 10092)
+++ /utils/tools/NESTING/src/agrif_types.f90	(revision 10093)
@@ -59,5 +59,5 @@
   LOGICAL ::   ln_agrif_domain
   !       
-  CHARACTER*100 ::   parent_meshmask_file, elevation_database, parent_bathy_meter, parent_domcfg_output
+  CHARACTER*100 ::   parent_bathy_file, elevation_database, parent_bathy_meter, parent_domcfg_output
   CHARACTER*100 ::   elevation_name, parent_batmet_name
   CHARACTER*100 ::   parent_coordinate_file, restart_file, updated_parent_file, updated_parent_domcfg, restart_trc_file
@@ -69,5 +69,5 @@
   NAMELIST /input_output/iom_activated
   !
-  NAMELIST /coarse_grid_files/parent_coordinate_file, parent_meshmask_file, parent_domcfg_output
+  NAMELIST /coarse_grid_files/parent_coordinate_file, parent_bathy_file, parent_domcfg_output
   !      
   NAMELIST /bathymetry/new_topo, elevation_database, elevation_name, smoothing, smoothing_factor,  &