Index: NEMO/trunk/tests/README
===================================================================
--- NEMO/trunk/tests/README	(revision 10230)
+++ 	(revision )
@@ -1,7 +1,0 @@
-## List of available test cases is in demo_cfgs.txt
-
-## HOW TO COMPILE TEST CASES :
-
-In the same manner as ref. cfg with '-r' option, use makenemo with '-a' option
-
-./makenemo -n WAD2 -a WAD -m macport_osx -j 4
Index: NEMO/trunk/tests/README.rst
===================================================================
--- NEMO/trunk/tests/README.rst	(revision 10230)
+++ NEMO/trunk/tests/README.rst	(revision 10240)
@@ -8,15 +8,8 @@
 .. _Github repository:   https://github.com/sflavoni/NEMO-test-cases/
 
-CANAL
-=====
-
-  East-west periodic canal of variable size with several initial states and associated geostrophic currents (zonal jets or vortex)
-
-  .. image::_static/CANAL_image.gif
-
 ICEDYN
 ======
   
-  This is an East-t cases illustrate the advection of an ice patch across a East/West and North/South periodic channel. 
+  This test case illustrates the advection of an ice patch across a East/West and North/South periodic channel. 
   This configuration can be used to test the advection of the ice patch in an AGRIF zoom (1:3) 
   and across the AGRIF boundary or to test the ice advection schemes (Prather and Ultimate-Macho). 
@@ -30,6 +23,6 @@
   This test case illustrates the propagation of an anticyclonic eddy over a Beta plan and a flat bottom.
   It is implemented here with an online refined subdomain (1:3) out of which the vortex propagates.
-  It serves as a benchmark for quantitative estimates of nesting errors as in Debreu et al. (2012),
-  Penven et al. (2006) or Spall and Holland (1991).
+  It serves as a benchmark for quantitative estimates of nesting errors as in Debreu et al. (2012) :cite:`DEBREU2012`,
+  Penven et al. (2006) :cite:`PENVEN2006` or Spall and Holland (1991) :cite:`SPALL1991`.
   
   The animation below (sea level anomaly in meters) illustrates with two 1:2 successively nested grids how
@@ -42,5 +35,5 @@
 
   The purpose of this test case is to evaluate the impact of various schemes and new development with the iceshelf cavities circulation and melt.
-  This configuration served as initial assesment of the ice shelf module in Losh et al. (2008) and Mathiot et al. (2017). 
+  This configuration served as initial assesment of the ice shelf module in Losh et al. (2008) :cite:`LOSCH2008` and Mathiot et al. (2017) :cite:`MATHIOT2017`. 
   The default setup is the one described `here <http://staff.acecrc.org.au/~bkgalton/ISOMIP/test_cavities.pdf>`_.
   
@@ -53,8 +46,10 @@
 
   The LOCK EXCHANGE experiment is a classical fluid dynamics experiment that has been adapted
-  by Haidvogel and Beckmann (1999) for testing advection schemes in ocean circulation models.
-  It has been used by several authors including Burchard and Bolding (2002) and Ilicak et al. (2012).
-  The LOCK EXCHANGE experiment can in particulart illustrate the impact of different choices of numerical schemes 
+  by Haidvogel and Beckmann (1999) :cite:`HAIDVOGEL1999` for testing advection schemes in ocean circulation models.
+  It has been used by several authors including Burchard and Bolding (2002) :cite:`BURCHARD2002` and Ilicak et al. (2012) :cite:`ILICAK2012`.
+  The LOCK EXCHANGE experiment can in particular illustrate the impact of different choices of numerical schemes 
   and/or subgrid closures on spurious interior mixing.
+
+  Below the animation of the LOCK_EXCHANGE test case using the advection scheme FCT4 (forth order) for tracer and ubs for dynamics.
 
   .. image:: _static/LOCK-FCT4_flux_ubs.gif
@@ -66,7 +61,8 @@
   and/or subgrid closures on spurious interior mixing close to bottom topography. 
   The OVERFLOW experiment is adapted from the non-rotating overflow configuration described 
-  in Haidvogel and Beckmann (1999) and further used by Ilicak et al. (2012).
-  Here we can assess the behaviour of the second-order tracer advection scheme FCT2 and fortht-order FCT4, 
-  with some exemple of python scripts into the notebook associated.
+  in Haidvogel and Beckmann (1999) :cite:`HAIDVOGEL1999` and further used by Ilicak et al. (2012) :cite:`ILICAK2012`.
+  Here we can assess the behaviour of the second-order tracer advection scheme FCT2 and fortht-order FCT4, z-coordinate and sigma coordinate (...).
+
+  Below the animation of the OVERFLOW test case in sigma coordinate with the forth-order advection scheme FCT4.
 
   .. image:: _static/OVF-sco_FCT4_flux_cen-ahm1000.gif
@@ -84,15 +80,37 @@
   .. image:: _static/wad_testcase_7.gif
 
+CANAL
+=====
+
+  East-west periodic canal of variable size with several initial states and associated geostrophic currents (zonal jets or vortex).
+
+  .. image::_static/CANAL_image.gif
+
+==================
+Compile test cases
+==================
+The compilation of the test cases is very similar to the manner the reference configurations are compiled.
+If you are not familiar on how to compile NEMO, it is first recomended to read the instruction 
+`here <http://forge.ipsl.jussieu.fr/nemo/wiki/Users/ModelInstall>`_
+
+| In the same manner as the ref. cfg are compiled with '-r' option, test cases can be compile by the use of makenemo with '-a' option.
+
+| Here an example to compile a copy named WAD2 of the wetting and drying test case (WAD) on the macport_osx architecture on 4 cores:
+
+.. code-block:: console
+                   
+        $ ./makenemo -n WAD2 -a WAD -m macport_osx -j 4
+
+=====================================
+Run and analyse the test cases
+=====================================
+There no requirement of specific input file for the test_cases presented here. The XIOS xml input files and namelist are already setup correctly. 
+All the detailed on how to run a specific test cases and Jupyter notebook are available on github `here <https://github.com/sflavoni/NEMO-test-cases>`_.
+
 ==========
 References
 ==========
-- Burchard, H., Bolding, K., 2002. GETM - a general estuarine transport model. Scientific documentation. Tech. Rep. EUR 20253 EN, European Commission.
-- Debreu, L., P. Marchesiello, P. Penven and G. Cambon, 2012: Two-way nesting in split-explicit ocean models: Algorithms, implementation and validation. Ocean Modelling, 49-50, 1-21.
-- Haidvogel, Dale B., and Aike Beckmann. Numerical ocean circulation modeling. Vol. 2. World Scientific, 1999. 
-- Haidvogel, Dale B., and Aike Beckmann. Numerical ocean circulation modeling. Vol. 2. World Scientific, 1999. 
-- Ilicak, Mehmet, et al. "Spurious dianeutral mixing and the role of momentum closure." Ocean Modelling 45 (2012): 37-58.
-- Ilicak, Mehmet, et al. "Spurious dianeutral mixing and the role of momentum closure." Ocean Modelling 45 (2012): 37-58.
-- Losch, M., 2008: Modeling ice shelf cavities in a z coordinate ocean general circulation model, J. Geophys. Res.-Oceans, 113, C08043.
-- Mathiot, P., Jenkins, A., Harris, C., and Madec, G., 2017: Explicit representation and parametrised impacts of under ice shelf seas in the z* coordinate ocean model NEMO 3.6, Geosci. Model Dev., 10, 2849-2874.
-- Penven, P., L. Debreu, P. Marchesiello and J. C. Mc Williams, 2006: Evaluation and application of the ROMS 1-way embedding procedure to the central california upwelling system. Ocean Modelling, 12, 157-187.
-- Spall, M. A. and W. R. Holland, 1991: A Nested Primitive Equation Model for Oceanic Applications. J. Phys. Ocean., 21, 205-220.
+
+..      bibliography:: test_cases.bib
+                :all:
+        :style: unsrt
Index: NEMO/trunk/tests/test_cases.bib
===================================================================
--- NEMO/trunk/tests/test_cases.bib	(revision 10230)
+++ NEMO/trunk/tests/test_cases.bib	(revision 10240)
@@ -1,3 +1,3 @@
-@book{epic31172,
+@book{HAIDVOGEL1999,
    author = {D. B. Haidvogel and A. Beckmann},
    publisher = {Imperial College Press, London},
@@ -6,5 +6,5 @@
 }
 
-@book{burchard2002getm,
+@book{BURCHARD2002,
    title={GETM: A General Estuarine Transport Model; Scientific Documentation},
    author={Burchard, Hans and Bolding, Karsten},
@@ -13,5 +13,5 @@
 }
 
-@article{ILICAK201237,
+@article{ILICAK2012,
    title = "Spurious dianeutral mixing and the role of momentum closure",
    journal = "Ocean Modelling",
@@ -21,9 +21,9 @@
    issn = "1463-5003",
    doi = "10.1016/j.ocemod.2011.10.003",
-   author = "Mehmet Ilıcak and Alistair J. Adcroft and Stephen M. Griffies and Robert W. Hallberg",
+   author = "Mehmet Ilicak and Alistair J. Adcroft and Stephen M. Griffies and Robert W. Hallberg",
    keywords = "Spurious dianeutral transport, Cabbeling, Overflows, Exchange-flow, Ocean models, Momentum transport, Tracer advection, Reference potential energy"
 }
 
-@article{DEBREU20121,
+@article{DEBREU2012,
    title = "Two-way nesting in split-explicit ocean models: Algorithms, implementation and validation",
    journal = "Ocean Modelling",
@@ -37,5 +37,5 @@
 }
 
-@article{PENVEN2006157,
+@article{PENVEN2006,
    title = "Evaluation and application of the ROMS 1-way embedding procedure to the central california upwelling system",
    journal = "Ocean Modelling",
@@ -50,6 +50,6 @@
 }
 
-@article{SPALL1991205,
-   author = {Spall, Michael A. and Holland, William R.},
+@article{SPALL1991,
+   author = {Spall, M. A. and Holland, W. R.},
    title = {A Nested Primitive Equation Model for Oceanic Applications},
    journal = {Journal of Physical Oceanography},
@@ -60,2 +60,29 @@
    doi = {10.1175/1520-0485(1991)021<0205:ANPEMF>2.0.CO;2},
 }
+
+@article{MATHIOT2017,
+   author = {Mathiot, P. and Jenkins, A. and Harris, C. and Madec, G.},
+   title = {Explicit representation and parametrised impacts of under ice shelf seas in the ${z}^{\ast}$ coordinate ocean model NEMO 3.6},
+   journal = {Geoscientific Model Development},
+   volume = {10},
+   year = {2017},
+   number = {7},
+   pages = {2849--2874},
+   url = {https://www.geosci-model-dev.net/10/2849/2017/},
+   doi = {10.5194/gmd-10-2849-2017}
+}
+
+@article{LOSCH2008,
+   author = {Losch, M.},
+   title = {Modeling ice shelf cavities in a z coordinate ocean general circulation model},
+   journal = {Journal of Geophysical Research: Oceans},
+   volume = {113},
+   year = {2008},
+   number = {C8},
+   pages = {},
+   keywords = {Ice shelf cavities, numerical ocean modeling, z coordinates},
+   doi = {10.1029/2007JC004368},
+   url = {https://agupubs.onlinelibrary.wiley.com/doi/abs/10.1029/2007JC004368},
+   eprint = {https://agupubs.onlinelibrary.wiley.com/doi/pdf/10.1029/2007JC004368},
+   abstract = {Processes at the ice shelf-ocean interface and in particular in ice shelf cavities around Antarctica have an observable effect on the solutions of basin scale to global coupled ice-ocean models. Despite this, these processes are not routinely represented in global ocean and climate models. It is shown that a new ice shelf cavity model for z coordinate models can reproduce results from an intercomparison project of earlier approaches with vertical ?~C or isopycnic coordinates. As a proof of concept, ice shelves are incorporated in a 100-year global integration of a z coordinate model. In this simulation, glacial meltwater can be traced as far as north as 15??S. The observed effects of processes in the ice shelf cavities agree with previous results from a ?~C coordinate model, notably the increase in sea ice thickness. However, melt rates are overestimated probably because the parameterization of basal melting does not suit the low resolution of this configuration.}
+}